# Retrieve a tax rate

Retrieves a tax rate with the given ID

## Prerequisites

Before you can run the following code snippet, you need to call these APIs with the provided parameters to set up the prerequisite API object(s).

1. createTaxRate
POST /v1/tax_rates {"display_name":"VAT","description":"VAT Germany","percentage":16,"jurisdiction":"DE","inclusive":false}

## Request

```curl
curl https://api.stripe.com/v1/tax_rates/{{TAX_RATE_ID}} \
  -u "<<YOUR_SECRET_KEY>>"
```

### Response

```json
{
  "id": "txr_1MzS4RLkdIwHu7ixwvpZ9c2i",
  "object": "tax_rate",
  "active": true,
  "country": null,
  "created": 1682114687,
  "description": "VAT Germany",
  "display_name": "VAT",
  "inclusive": false,
  "jurisdiction": "DE",
  "livemode": false,
  "metadata": {},
  "percentage": 16,
  "state": null,
  "tax_type": null
}
```

## Returns

Returns an tax rate if a valid tax rate ID was provided. Raises [an error](https://docs.stripe.com/api/tax_rates/retrieve.md#errors) otherwise.
